﻿'Developer: Pierce Smith
'Date: 10/18/2019

Option Explicit On
Option Strict On

Public Class create
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        UnobtrusiveValidationMode = UnobtrusiveValidationMode.None
        txtLname.Focus()
        Dim devInfo As String
        devInfo = CType(Application("DeveloperInfo"), String)
        lblInfo.Text = devInfo
    End Sub

    Protected Sub valUID_ServerValidate(source As Object, args As ServerValidateEventArgs) Handles valUID.ServerValidate
        If txtUID.Text.Length >= 5 Then
            args.IsValid = True
        Else
            args.IsValid = False
        End If
    End Sub

    Protected Sub btnCreate_Click(sender As Object, e As EventArgs) Handles btnCreate.Click
        If Page.IsValid = True Then
            Dim nameCookie As New HttpCookie("FirstName", txtFname.Text)
            Dim userCookie As New HttpCookie("UserID", txtUID.Text)
            Dim pwCookie As New HttpCookie("Password", txtPW.Text)
            nameCookie.Expires = DateTime.Now.AddMinutes(5)
            userCookie.Expires = DateTime.Now.AddMinutes(5)
            pwCookie.Expires = DateTime.Now.AddMinutes(5)
            Response.Cookies.Add(nameCookie)
            Response.Cookies.Add(userCookie)
            Response.Cookies.Add(pwCookie)
            If txtPWHint.Text <> "" Then
                Session("Hint") = txtPWHint.Text
            End If
            Response.Redirect("success.aspx")
        End If
    End Sub

    Protected Sub btnCancel_Click(sender As Object, e As EventArgs) Handles btnCancel.Click
        Response.Redirect("create.aspx")
    End Sub
End Class