﻿<!--Developer: Pierce Smith
    Date: 10/18/2019!-->
<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="default.aspx.vb" Inherits="PierceLab5._default" %>
<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Login Portal</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="main.css" type="text/css" />
</head>
<body>
    <div class="container d-flex justify-content-center text-center">
        <form id="frmLogin" runat="server">
            <h1>Login to Your Account</h1>
            <h2>
                <asp:Label ID="lblInfo" runat="server" Text="" AssociatedControlID="frmLogin"></asp:Label>
            </h2>
            <div class="container">
                <div class ="row">
                    <div class="col-md-3 col-xs-12">
                        <label for="txtUser">Username: </label>
                    </div>
                    <div class ="col-md-9 col-xs-12">
                        <asp:TextBox ID="txtUser" runat="server"></asp:TextBox>
                    </div>
                    </div>
                <div class ="row">
                    <div class="col-md-3 col-xs-12">
                        <label for="txtPW">Password: </label>
                    </div>
                    <div class="col-md-9 col-xs-12">
                        <asp:TextBox ID="txtPW" runat="server" TextMode="Password"></asp:TextBox>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3 col-xs-12"></div>
                    <div class="col-md-9 col-xs-12">
                        <asp:CheckBox ID="chkHint" runat="server" Text="Show Hint?" AutoPostBack="True" />
                        <asp:Label ID="lblHint" runat="server" Text="" AssociatedControlID="chkHint" CssClass="hint"></asp:Label>
                    </div>
                </div>
                <div class ="row">
                    <div class ="col-md-3 col-xs-0"></div>
                    <div class="col-md-9 col-xs-12">
                        <asp:Button ID="btnLogin" runat="server" Text="Login" />
                        <asp:Button ID="btnCreate" runat="server" Text="Create an Account" />
                    </div>
                </div>
            </div>
        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</body>
</html>
