﻿'Developer: Pierce Smith
'Date: 10/18/2019

Option Explicit On
Option Strict On

Public Class _default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        txtUser.Focus()
        Dim devInfo As String
        devInfo = CType(Application("DeveloperInfo"), String)
        lblInfo.Text = devInfo
        If Session("Hint") Is Nothing Then
            chkHint.Enabled = False
            lblHint.Text = "No hint was created."
        Else
            chkHint.Enabled = True
            If chkHint.Checked = True Then
                lblHint.Text = Session("Hint").ToString
            Else
                lblHint.Text = ""
            End If
        End If
        If Request.Cookies("UserID") Is Nothing Then
            btnLogin.Enabled = False
            txtUser.Text = ""
        Else
            btnCreate.Enabled = False
            txtUser.Text = Request.Cookies("UserID").Value
        End If
    End Sub

    Protected Sub btnLogin_Click(sender As Object, e As EventArgs) Handles btnLogin.Click
        If txtUser.Text = Request.Cookies("UserID").Value And txtPW.Text = Request.Cookies("Password").Value Then
            Response.Redirect("userHome.aspx")
        Else
            Response.Redirect("error.aspx")
        End If
    End Sub

    Protected Sub btnCreate_Click(sender As Object, e As EventArgs) Handles btnCreate.Click
        Response.Redirect("create.aspx")
    End Sub
End Class